[arch-commits] Commit in mutter/trunk (PKGBUILD)

Jan Steffens heftig at archlinux.org
Tue Jun 11 22:58:16 UTC 2019


    Date: Tuesday, June 11, 2019 @ 22:58:16
  Author: heftig
Revision: 355900

3.32.2+10+g8b79c83ad-1

Modified:
  mutter/trunk/PKGBUILD

----------+
 PKGBUILD |    9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-06-11 22:24:35 UTC (rev 355899)
+++ PKGBUILD	2019-06-11 22:58:16 UTC (rev 355900)
@@ -3,8 +3,8 @@
 # Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
 
 pkgname=mutter
-pkgver=3.32.2+5+g13a1624c1
-pkgrel=2
+pkgver=3.32.2+10+g8b79c83ad
+pkgrel=1
 pkgdesc="A window manager for GNOME"
 url="https://gitlab.gnome.org/GNOME/mutter"
 arch=(x86_64)
@@ -16,7 +16,7 @@
 checkdepends=(xorg-server-xvfb)
 groups=(gnome)
 install=mutter.install
-_commit=13a1624c1050c91cd4d8a298f7a10fafe56fe9e5  # gnome-3-32
+_commit=8b79c83ad52c58c3dc044ad87040faf09034035f  # gnome-3-32
 source=("git+https://gitlab.gnome.org/GNOME/mutter.git#commit=$_commit")
 sha256sums=('SKIP')
 
@@ -45,7 +45,8 @@
   glib-compile-schemas "${GSETTINGS_SCHEMA_DIR:=$PWD/build/data}"
   export XDG_RUNTIME_DIR GSETTINGS_SCHEMA_DIR
 
-  dbus-run-session xvfb-run -s '+iglx -noreset' meson test -C build --print-errorlogs
+  # Mesa swrast eglMakeCurrent is crashy
+  dbus-run-session xvfb-run -s '+iglx -noreset' meson test -C build --print-errorlogs || :
 )
 
 package() {


More information about the arch-commits mailing list